﻿<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <link
      rel="apple-touch-icon"
      sizes="76x76"
      href="../assets/img/apple-icon.png"
    />
    <link rel="icon" type="image/png" href="../assets/img/favicon.png" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <title>Projekthomepage von Commean</title>

    <meta
      content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"
      name="viewport"
    />

    <!--     Fonts and icons     -->
    <link
      rel="stylesheet"
      type="text/css"
      href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons"
    />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css"
    />

    <!-- CSS Files -->
    <link href="../../../assets/css/bootstrap.min.css" rel="stylesheet" />
    <link href="../../../assets/css/style.css" rel="stylesheet" />
  </head>
  <!-- Informationen zum Styling: https://www.creative-tim.com/product/material-kit -->

  <body id="top" class="section-white profile-page">
    <nav class="navbar navbar-default navbar-fixed-top">
      <div class="container">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
          <button
            type="button"
            class="navbar-toggle"
            data-toggle="collapse"
            data-target="#navigation-example"
          >
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#">Commean</a>
        </div>
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav navbar-right">
            <li>
              <a href="#top"> <i class="material-icons">apps</i> Home </a>
            </li>
            <li>
              <a href="#abstract"> <i class="material-icons">list</i> About </a>
            </li>
            <li>
              <a href="#details">
                <i class="material-icons">view_carousel</i> Details
              </a>
            </li>
            <li>
              <a href="#team" class="btn btn-white btn-simple">
                <i class="material-icons">people</i> Team
              </a>
            </li>
          </ul>
        </div>
      </div>
    </nav>

    <div class="section-image" style="background-image: url('img/header.png')">
      <div class="container">
        <div class="row" style="height: 320px"></div>
      </div>
    </div>

    <div id="abstract">
      <div class="container">
        <div class="row">
          <div class="col-md-8 col-md-offset-2 text-center">
            <h2 class="title">Willkommen</h2>
            <h5 class="description">
              Herzlich willkommen auf unserer Projektseite. Auf dieser Homepage
              erhalten Sie Informationen rund um das Projekt Commean.
            </h5>
          </div>
        </div>
      </div>

      <div class="container">
        <h2 class="title">Kurzbeschreibung</h2>
        <div class="row">
          <div class="col-md-8">
            <p>
              <strong>Deutsch</strong> Der Personen- und Lastverkehr auf Basis
              von fossilen Brennstoffen bewirkt eine immense lokale
              CO<sub>2</sub>-Emission. Aber auch Fahrzeuge mit elektrischem
              Antrieb tragen bei aktuellem Strommix zu den Treibhausgasen und
              dadurch zur Klimakrise bei. Um den Stadtverkehr in Hinblick auf
              Abgase optimaler gestalten zu können, müssen unweigerlich
              Verkehrsmessungen durchführt werden. Dadurch können
              Hauptverkehrswege erschlossen werden und im weiteren Sinn kann auf
              genau diesen die öffentlichen Verkehrsmittel ausgebaut werden.
              Eine kostengünstige und mobile Messstation an Ampeln oder anderen
              markanten Punkten in der Stadt würde eine enorme Erleichterung für
              eine zukünftige Stadtverkehrsplanung mit sich bringen. Genau hier
              soll die Diplomarbeit ansetzen.
            </p>
            <p>
              Commean erleichtert das Erfassen und Veranschaulichen von
              Verkehrsaufkommen in einer Stadt. Mithilfe eines
              Einplatinencomputers wird das Bild datenschutzgerecht verarbeitet
              und anschließend ohne personenbezogenen Daten an den Server
              gesendet. Durch das Anonymisieren der Daten ist es möglich den
              Verkehrsfluss zu verfolgen, jedoch nicht eine einzelnen Personen.
              Die gesammelten Daten werden anschließend für die die Analyse von
              Verkehrsaufkommen und Verkehrsfluss an einen Server
              weitergeleitet. Auf einer Webseite werden anschließend die Daten
              anhand von Graphen und einer Karte mit allen eingezeichneten
              Kreuzungen dargestellt.
            </p>
          </div>
          <div class="col-md-4">
            <p>
              Unser Projekt wird bearbeitet und erstellt an der HTL
              Mössingerstraße
            </p>
            <a href="http://www.htl-klu.at"
              ><img
                class="img img-responsive"
                src="../../../assets/img/logo_transparent.png"
            /></a>
            <p>
              Dieses Projekt wird gemeinsam mit einem Wirtschaftspartner
              durchgeführt:
            </p>
            <img class="img img-responsive" src="img/STW_Mobil.png" />
          </div>
        </div>
        <div class="row">
          <div class="col-md-8">
            <p>
              <strong>English</strong>
              Traffic around the city produces a lot of greenhouse gas
              emissions. To reduce traffic jams and optimize the traffic flow,
              data is needed. This data is collected at many places around the
              city. Furthermore, this data can be used to improve public
              transport so that more people can use it on their daily commute
              effectively. Those metering stations need to be cost-effective, as
              many of them are needed. This problem is tackled by our thesis.
            </p>
            <p>
              Commean helps to get an overview of the current traffic situation.
              A camera is connected to an SBC (Single Board Computer), which
              processes the Videostream in a privacy-friendly way. So it is
              possible to analyze, which roads are most frequently used, but it
              is not possible to track individuals. All data is then sent to a
              server and processed there. The level of traffic and the traffic
              flow is analyzed there. Finally, all collected data is presented
              on a website, with a map of the city. On it, it is possible to
              select the desired traffic light and view the traffic flow.
            </p>
          </div>
        </div>
      </div>
    </div>

    <div id="overview">
      <div class="container">
        <div class="row">
          <div class="col-md-12">
            <h2 class="title">Übersicht</h2>
            <div class="card card-plain card-blog">
              <div class="row">
                <div class="col-md-12">
                  <img
                    class="img"
                    src="img/project_breakdown_simple.png"
                    style="background-color: white"
                  />
                </div>
              </div>
            </div>
            <div class="card card-plain card-blog">
              <div class="row">
                <div class="col-md-4">
                  <h6 class="category text-danger">
                    <i class="material-icons">construction</i> Diplomarbeit |
                    Hardware
                  </h6>
                  <h3 class="card-title">Diplomarbeit | Hardware</h3>
                  <p class="card-description">
                    Die Diplomarbeit kann hardwaremäßig grob in drei
                    Zuständigkeitsbereiche unterteilt werden. Einmal die
                    eigentliche Messstation an der Ampel, welche im Prinzip aus
                    dem Einplatinencomputer und der Kamera besteht.
                    <br />
                    <br />Der zweite Bereich betrifft die Übertragung zwischen
                    Messstation und Server. Die Übertragung ist modular und kann
                    sowohl über LoRa als auch über LTE/5G erfolgen. <br />
                    <br />
                    Schließlich landen alle gesammelten Daten bei einem
                    zentralen (virtuellen) Server, welcher diese dann
                    verarbeiten soll.
                  </p>
                </div>
                <div class="col-md-8">
                  <img
                    class="img"
                    src="img/project_breakdown_hardware.png"
                    style="background-color: white"
                  />
                </div>
              </div>
            </div>

            <div class="card card-plain card-blog">
              <div class="row">
                <div class="col-md-8">
                  <img
                    class="img"
                    src="img/project_breakdown_software.png"
                    style="background-color: white"
                  />
                </div>
                <div class="col-md-4">
                  <h6 class="category text-danger">
                    <i class="material-icons">code</i> Diplomarbeit | Software
                  </h6>
                  <h3 class="card-title">Diplomarbeit | Software</h3>
                  <p class="card-description">
                    Im Prinzip ist die Unterteilung der Software, der Hardware
                    entsprechend. Am Einplatinencomputer (SBC - Single Board
                    Computer) wird der Videostream der Kamera verarbeitet. Zum
                    Erkennen & Klassifizieren der Fahrzeuge wird ein Neuronales
                    Netzwerk verwendet. Anschließend werden die Fahrzeuge noch
                    gezählt und die gesammelten Daten übertragen. <br /><br />
                    Am Server dann werden die Daten verarbeitet und gespeichert.
                    Schließlich werden sie dann grafisch aufbereitet auf einer
                    Website angezeigt.
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="details">
      <div class="container">
        <div class="row">
          <div class="col-md-12">
            <h2 class="title">Details</h2>

            <div class="card card-plain card-blog">
              <div class="row">
                <div class="col-md-6">
                  <h6 class="category text-danger">
                    <i class="material-icons">construction</i> Diplomarbeit |
                    Stefan Pisjak
                  </h6>
                  <h3 class="card-title">
                    Fahrzeugerkennung & -klassifizierung
                  </h3>
                  <p class="card-description">
                    Die Fahrzeug werden mit Hilfe von einem neuronalen Netzwerk
                    (YOLO) erkannt und klassifiziert. Jedoch weißt das neuronale
                    Netzwerk nicht, wohin sich die einzelnen Fahrzeuge bewegen.
                    Deshalb würde ohne weitere Verarbeitung der Daten, das
                    neuronale Netzwerk denken, dass es sich immer um ein neues
                    Fahrzeug handelt. <br /><br />
                    Damit dass nicht passiert, werden verschiedenste
                    Algorithmen, wie der optische Fluss, Feature Matching (ORB)
                    oder Regression verwendet, um die Position im nächsten Frame
                    vorherzusagen.
                  </p>
                </div>
                <div class="col-md-6">
                  <div class="card-image">
                    <img
                      class="img img-raised"
                      src="img/regression.jpg"
                      style="background-color: white"
                    />
                    <div
                      class="colored-shadow"
                      style="
                        background-image: url(img/regression.jpg);
                        opacity: 1;
                      "
                    ></div>
                  </div>
                </div>
              </div>
            </div>

            <div class="card card-plain card-blog">
              <div class="row">
                <div class="col-md-8">
                  <div class="card-image">
                    <img
                      class="img img-raised"
                      src="img/website.png"
                      style="background-color: white"
                    />
                    <div
                      class="colored-shadow"
                      style="background-image: url(img/website.png); opacity: 1"
                    ></div>
                  </div>
                </div>

                <div class="col-md-4">
                  <h6 class="category text-danger">
                    <i class="material-icons">code</i> Diplomarbeit | Luca
                    Nachbar
                  </h6>
                  <h3 class="card-title">Frontend</h3>
                  <p class="card-description">
                    Damit die gesammelten Daten auch einen Nutzen haben, werden
                    diese auf einer Website für alle Bürger*innen dargestellt.
                    Auf einer Karte können die einzelnen Nodes eingesehen
                    werden. <br /><br />
                    Für jede Node wird der aktuelle Verkehr angezeigt. So kann
                    auf einen Blick erkannt werden, wie die Verkehrssituation
                    gerade aussieht.
                  </p>
                </div>
              </div>
            </div>

            <div class="card card-plain card-blog">
              <div class="row">
                <div class="col-md-4">
                  <h6 class="category text-danger">
                    <i class="material-icons">code</i> Diplomarbeit | Luca
                    Nachbar
                  </h6>
                  <h3 class="card-title">Backend</h3>
                  <p class="card-description">
                    Das Backend hat zwar keine grafische Repräsentation, jedoch
                    ist es ein integraler Teil der Diplomarbeit. Als Datenbank
                    wird PostgreSQL und als Framework Spring verwendet. Das
                    Backend hat eine API, über welche die einzelnen Node sich
                    zuerst anmelden und dann registrieren können.<br /><br />
                    Weiters liefert das Backend die Daten für das Frontend
                    bereits im GeoJSON-Format, was dem Frontend ermöglicht die
                    Positionen auf der Karte einfach darzustellen, ohne die
                    Daten in einem eigenen Datenformat verarbeiten zu müssen.<br /><br />
                    Das Backend wurde mit Hilfe von OpenAPI dokumentiert.
                    Dadurch kann unter anderem die API über ein Webinterface
                    debugged werden.
                  </p>
                </div>

                <div class="col-md-8">
                  <div class="card-image">
                    <img
                      class="img img-raised"
                      src="img/backend_open_api.png"
                      style="background-color: white"
                    />
                    <div
                      class="colored-shadow"
                      style="
                        background-image: url(img/backend_open_api.png);
                        opacity: 1;
                      "
                    ></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="sources">
      <div class="container">
        <div class="row">
          <div class="col-md-12">
            <div class="card card-plain card-blog">
              <div class="row">
                <p>
                  <button
                    class="btn btn-primary"
                    type="button"
                    data-toggle="collapse"
                    data-target="#collapseSources"
                    aria-expanded="false"
                    aria-controls="collapseSources"
                  >
                    Quellen
                  </button>
                </p>
                <div class="collapse" id="collapseSources">
                  <div class="card card-body bg-dark text-white">
                    <table class="table table-striped" style="color: black">
                      <thead>
                        <tr>
                          <th scope="col">Type</th>
                          <th scope="col">Link</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td>Image of VIM3</td>
                          <td>
                            <a href="https://www.khadas.com/vim3">khadas.com</a>
                          </td>
                        </tr>
                        <tr>
                          <td>Image of a LoRa Module</td>
                          <td>
                            <a href="https://shop.hardwario.com/lora-module/"
                              >hardwario.com</a
                            >
                          </td>
                        </tr>
                        <tr>
                          <td>Image of a Raspberry Pi LTE Shield</td>
                          <td>
                            <a
                              href="https://sixfab.com/product/raspberry-pi-3g-4glte-base-shield-v2/"
                              >sixfab.com</a
                            >
                          </td>
                        </tr>
                        <tr>
                          <td>Image of Logitech C160</td>
                          <td>
                            <a
                              href="https://fr.pcdrivers.guru/logitech-webcam-c160/download-614563.html"
                              >pcdrivers.guru</a
                            >
                          </td>
                        </tr>
                        <tr>
                          <td>Image of a open-source LoRa Gateway</td>
                          <td>
                            <a
                              href="https://www.embarcados.com.br/gateways-lora-open-source-hardware/"
                              >embarcados.com</a
                            >
                          </td>
                        </tr>
                        <tr>
                          <td>Logo of the KMG</td>
                          <td>
                            <a href="https://www.stw.at/mediathek/">stw.at</a>
                          </td>
                        </tr>
                        <tr>
                          <td>Test Video</td>
                          <td>
                            <a
                              href="https://www.youtube.com/watch?v=MNn9qKG2UFI"
                              >youtube.com</a
                            >
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="team" class="section-dark">
      <div class="container">
        <div class="row">
          <div class="col-md-8 col-md-offset-2 text-center">
            <h2 class="title">Our Awesome Team</h2>
            <h5 class="description">That's us, I guess</h5>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6">
            <div class="card card-profile card-plain">
              <div class="card-avatar">
                <a href="#luca">
                  <img class="img" src="img/profilpicture/Luca.png" />
                </a>
              </div>
              <div class="content">
                <h4 class="card-title">Luca Nachbar</h4>
                <h6 class="category text-muted">Backend & Frontend</h6>

                <p class="card-description">
                  Keine Angst um Ihre Daten, die Datenbank geht eh nit<br />
                  - Luca Nachbar kurz vor der Projektabgabe
                </p>
              </div>
            </div>
          </div>

          <div class="col-md-6">
            <div class="card card-profile card-plain">
              <div class="card-avatar">
                <a href="#luca">
                  <img class="img" src="img/profilpicture/Stefan.png" />
                </a>
              </div>
              <div class="content">
                <h4 class="card-title">Stefan Pisjak</h4>
                <h6 class="category text-muted">
                  Erkennung & Klassifizierung der Fahrzeuge
                </h6>

                <p class="card-description">Hat ethische Bedenken...</p>
              </div>
            </div>
          </div>
        </div>
        <div>
          <div class="col-md-12">
            <div class="card card-profile card-plain">
              <div class="card-avatar">
                <a href="#makula">
                  <img class="img" src="img/profilpicture/Makula.png" />
                </a>
              </div>
              <div class="content">
                <h4 class="card-title">Benjamin Makula</h4>
                <h6 class="category text-muted">Erstbetreuer</h6>

                <p class="card-description">Sie schaffen das schon</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <footer class="footer">
      <div class="container">
        <nav class="pull-left">
          <ul>
            <li>
              <a href="https://projects.htl-klu.at">
                Projekte der HTL Mössingerstraße
              </a>
            </li>
            <li>
              <a href="http://www.htl-klu.at">
                Homepage der HTL Mössingerstraße
              </a>
            </li>
          </ul>
        </nav>
        <div class="copyright pull-right">&copy; 2021, HTL Mössingerstraße</div>
      </div>
    </footer>
  </body>
  <!--   Core JS Files   -->
  <script
    src="../../../assets/js/jquery.min.js"
    type="text/javascript"
  ></script>
  <script
    src="../../../assets/js/bootstrap.min.js"
    type="text/javascript"
  ></script>
  <script
    src="../../../assets/js/material.min.js"
    type="text/javascript"
  ></script>
</html>
